## wavbreaker 0.13

=== meson_options.txt ===
option('moodbar', type : 'boolean', value : true, description : 'Moodbar support')
option('mp3', type : 'boolean', value : true, description : 'MP3 support')
option('macos_app', type : 'boolean', value : false, description : 'macOS app bundle install layout')
option('windows_app', type : 'boolean', value : false, description : 'Windows exe icon resource data')

## wavbreaker 0.10

=== debian/changelog ===
wavbreaker (0.10-3) unstable; urgency=low

  * Team upload.
  * Switch to 3.0 (quilt) packaging format. Adopt DH7 pure form.
  * debian/patches/02-gtk_deprecated_calls.patch:
    - Properly replace GTK+'s deprecated functions.
  * debian/patches/03-save_restore_mainwnd_position.patch.
    - Save and restore main window position.
  * debian/patches/04-new_context_menu_entries:
    - Add check/uncheck context menu entries, jump to cursor.
    - Add "Check all", "Check none", "Invert checked" items
      to the track break context menu and add Ctrl+Space as
      a shortcut key combination for "Jump to cursor".
    - Updated some translations with new strings.
  * debian/patches/05-timeoffset_controls.patch
    - Add additonal time offset (min, sec, subsec) controls
      to main window for better control of the current cursor
      position.
  * debian/patches/06-code_duplication.patch
    - Fix code duplication.
  * debian/patches/07-segfault_when_pressing_save_twice.patch
    - Fix segmentation fault when pressing "Save" (or Ctrl+S)
      twice in a row.
  * Bump Standards.
  * Don't install TODO as doc file.
  * Remove unneeded debian/dirs file.
  * Build with scour to enable SVG optimizations.
  * Build-Depends on python-scour.
  * Description should not start with an article.
  * Move upstream's website from description into the Homepage field.
  * debian/copyright
    - Fix some lintian warnings:
      + copyright-refers-to-symlink-license
      + copyright-with-old-dh-make-debian-copyright
  * Fix watch file to use SF.net's redirector.

 -- Alessio Treglia <alessio@debian.org>  Wed, 18 May 2011 12:39:48 +0200

wavbreaker (0.10-2) unstable; urgency=low

  [ Alessio Treglia ]
  * Set package format to 1.0, add quilt support.
  * Update team's name and email address, add Vcs-* fields as per
    team's spec.
  * Add Spanish translation (Closes: #561557).

 -- Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>  Sun, 07 Nov 2010 10:43:24 +0100

wavbreaker (0.10-1) unstable; urgency=low

  * New upstream release
  * Support for PulseAudio; depend on libpulse-dev
  * Enable ALSA support; depend on libasound2-dev

 -- Thomas Perl <thp@perli.net>  Mon, 02 Jun 2008 11:03:42 +0200

wavbreaker (0.9-1) unstable; urgency=low

  * New upstream release
  * Suggests "moodbar": May be used to generate moodbars displayed in
    wavbreaker

 -- Thomas Perl <thp@perli.net>  Mon, 19 Nov 2007 14:29:36 +0100

wavbreaker (0.8.1-2) unstable; urgency=low

  * Remove po/stamp-po on "clean" in debian/rules so the gettext mo files
    get re-built when the package is built twice in a row (Closes: #441731)

 -- Thomas Perl <thp@perli.net>  Fri, 21 Sep 2007 19:09:07 +0200

wavbreaker (0.8.1-1) unstable; urgency=low

  * New upstream release

 -- Thomas Perl <thp@perli.net>  Sat, 07 Jul 2007 14:23:05 +0200

wavbreaker (0.8-4) unstable; urgency=low

  * Upgrade wavbreaker.menu file to new menu policy (renamed sections)

 -- Thomas Perl <thp@perli.net>  Tue, 15 May 2007 23:51:28 +0200

wavbreaker (0.8-3) unstable; urgency=low

  * Remove po/*.gmo on clean to fix a FTBFS (Closes: #424127)

 -- Thomas Perl <thp@perli.net>  Tue, 15 May 2007 23:48:00 +0200

wavbreaker (0.8-2) unstable; urgency=low

  * Updated and enhanced copyright file
  * Upload again to ftp-master (Closes: #282456)

 -- Thomas Perl <thp@perli.net>  Sun, 13 May 2007 13:46:02 +0200

wavbreaker (0.8-1) unstable; urgency=low

  [ Thomas Perl ]
  * Initial release (Closes: #282456)

  [ Free Ekanayaka ]
  * Added watch file

 -- Free Ekanayaka <freee@debian.org>  Fri, 11 May 2007 00:36:19 +0200

=== debian/control ===
Source: wavbreaker
Section: x11
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>,
 Thomas Perl <thp@perli.net>
Build-Depends: debhelper (>= 7),
 autotools-dev,
 libxml2-dev,
 libgtk2.0-dev,
 libpulse-dev,
 libasound2-dev,
 python-scour
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/pkg-multimedia/wavbreaker.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/wavbreaker.git
Homepage: http://wavbreaker.sourceforge.net/

Package: wavbreaker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: moodbar
Description: tool to split wave files into multiple chunks
 This application's purpose in life is to take a wave file and
 break it up into multiple wave files.  It makes a clean break 
 at the correct position to burn the files to an audio cd 
 without any dead air between the tracks.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with=autotools_dev,scour

## wavbreaker 0.11

=== debian/changelog ===
wavbreaker (0.11-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Team upload.
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove trailing whitespaces

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Sebastian Ramacher ]
  * debian/:
    - Bump debhelper compat to 12
    - Remove menu file
  * debian/control:
    - Bump Standards-Version
    - Use dh-sequence-scour instead of python-scour (Closes: #943261)
  * debian/patches:
    - Fix "format not a string literal" errors
    - Add %F to desktop file's Exec entry

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 17 Nov 2019 21:04:52 +0100

wavbreaker (0.11-1) unstable; urgency=low

  * Team upload.
  * New upstream release:
    - Catch-up release to finally get all patches in SVN into a release.
    - About dialog code now uses gtk_show_about_dialog.
    - Replace deprecated GTK+ functions with current ones.
    - Save and restore main window position.
    - Add check/uncheck context menu entries, jump to cursor.
    - Time offset controls on main window.
    - Get rid of "sample_get_playing" (code duplication).
    - Fix segfault when pressing Ctrl+S twice (reported by Avuton Olrich).
    - Added Spanish translation by Ricardo Mones (from Debian's patchset).
  * Remove patches, they all have been applied upstream.
  * Imported Upstream version 0.11
  * Remove debian/patches/01-spanish_translation.patch, applied upstream.
  * Remove debian/patches/02-gtk_deprecated_calls.patch, applied upstream.
  * Remove patches, they all have been applied upstream.
  * Don't purge autom4te.cache directory on clean.

 -- Alessio Treglia <alessio@debian.org>  Sat, 14 Jan 2012 03:25:03 +0100

=== debian/control ===
Source: wavbreaker
Section: x11
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>,
 Thomas Perl <thp@perli.net>
Build-Depends: debhelper-compat (= 12),
 libxml2-dev,
 libgtk2.0-dev,
 libpulse-dev,
 libasound2-dev,
 dh-sequence-scour
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/multimedia-team/wavbreaker.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/wavbreaker
Homepage: http://wavbreaker.sourceforge.net/

Package: wavbreaker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: moodbar
Description: tool to split wave files into multiple chunks
 This application's purpose in life is to take a wave file and
 break it up into multiple wave files.  It makes a clean break
 at the correct position to burn the files to an audio cd
 without any dead air between the tracks.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=scour

=== debian/watch ===
version=3
https://sf.net/wavbreaker/wavbreaker-(.*)\.tar\.gz

## wavbreaker 0.13

=== debian/changelog ===
wavbreaker (0.13-2) unstable; urgency=medium

  * Team upload

  [ Dennis Braun ]
  * debian/control: Remove cmake again from Build-Depends

  [ Sebastian Ramacher ]
  * debian/: Use dh_auto_configure override instead of patch to disable
    moodbar support.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 04 Jan 2020 18:15:26 +0100

wavbreaker (0.13-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * debian/control:
    + Build-Depends: Add cmake, meson, libao-dev and libmpg123-dev
    + Build-Depends: Replace libgtk2.0-dev with libgtk-3-dev
  * debian/copyright: Rewrite and update
  * debian/docs: Replace README with README.md and drop NEWS
  * debian/patches:
    + 0001-Fix-format-not-a-string-literal-errors.patch: Drop, obsolete
    + 0002-Add-F-to-Exec.patch: Update
    + 0003-Disable-Moodbar-Support.patch: Add
  * debian/watch: Update for github releases

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 20 Dec 2019 23:00:32 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,12 @@
 Uploaders: Free Ekanayaka <freee@debian.org>,
  Thomas Perl <thp@perli.net>
 Build-Depends: debhelper-compat (= 12),
+ meson,
+ libao-dev,
  libxml2-dev,
- libgtk2.0-dev,
+ libgtk-3-dev,
  libpulse-dev,
+ libmpg123-dev,
  libasound2-dev,
  dh-sequence-scour
 Standards-Version: 4.4.1
@@ -18,7 +21,6 @@
 Package: wavbreaker
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: moodbar
 Description: tool to split wave files into multiple chunks
  This application's purpose in life is to take a wave file and
  break it up into multiple wave files.  It makes a clean break

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dmoodbar=false

## wavbreaker 0.15

=== meson_options.txt ===
option('moodbar', type : 'boolean', value : true, description : 'Moodbar support')
option('mp3', type : 'boolean', value : true, description : 'MP2/MP3 support')
option('macos_app', type : 'boolean', value : false, description : 'macOS app bundle install layout')
option('windows_app', type : 'boolean', value : false, description : 'Windows exe icon resource data')

=== debian/changelog ===
wavbreaker (0.15-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Sebastian Ramacher ]
  * New upstream version 0.15
  * debian/patches: Remove no longer needed patches

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 09 Apr 2022 20:54:05 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libmpg123-dev,
  libasound2-dev,
  dh-sequence-scour
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/multimedia-team/wavbreaker.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/wavbreaker
 Homepage: http://wavbreaker.sourceforge.net/

## wavbreaker 0.16

=== meson_options.txt ===
option('moodbar', type : 'boolean', value : true, description : 'Moodbar support')
option('mp3', type : 'boolean', value : true, description : 'MP2/MP3 support')
option('ogg_vorbis', type : 'boolean', value : true, description : 'Ogg Vorbis support')
option('macos_app', type : 'boolean', value : false, description : 'macOS app bundle install layout')
option('windows_app', type : 'boolean', value : false, description : 'Windows exe icon resource data')

=== debian/changelog ===
wavbreaker (0.16-3) unstable; urgency=medium

  * d/control: Do not mark scour as native (Closes: #1061030)

 -- Dennis Braun <snd@debian.org>  Thu, 18 Jan 2024 21:11:06 +0100

wavbreaker (0.16-2) unstable; urgency=medium

  * Use scour as B-D instead of the virtual package dh-sequence-scour
  * Switch to the sound section
  * Bump my d/copyright year

 -- Dennis Braun <snd@debian.org>  Wed, 04 Jan 2023 14:41:44 +0100

wavbreaker (0.16-1) unstable; urgency=medium

  * New upstream version 0.16
  * Add a few keywords to the desktop file
  * Apply wrap-and-sort -ast
  * d/control:
    + Add libvorbis-dev to B-Ds for vorbisfile support
    + Add myself as uploader
    + Bump dh-compat to 13
    + Bump Standards-Version to 4.6.2
  * d/copyright:
    + Bump d/copyright year
    + Change my email address
    + Add net.sourceforge.wavbreaker.appdata.xml
  * d/rules: Add hardening
  * Add salsa ci config
  * Mark dh-sequence-scour as native to fix cross building

 -- Dennis Braun <snd@debian.org>  Wed, 28 Dec 2022 21:34:43 +0100

=== debian/control ===
Source: wavbreaker
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Free Ekanayaka <freee@debian.org>,
 Thomas Perl <thp@perli.net>,
 Dennis Braun <snd@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 libao-dev,
 libasound2-dev,
 libgtk-3-dev,
 libmpg123-dev,
 libpulse-dev,
 libvorbis-dev,
 libxml2-dev,
 meson,
 scour
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/multimedia-team/wavbreaker.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/wavbreaker
Homepage: http://wavbreaker.sourceforge.net/

Package: wavbreaker
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: tool to split wave files into multiple chunks
 This application's purpose in life is to take a wave file and
 break it up into multiple wave files.  It makes a clean break
 at the correct position to burn the files to an audio cd
 without any dead air between the tracks.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/wavbreaker-$1\.tar\.gz/ \
  https://github.com/thp/wavbreaker/tags .*/v?(\d\S+)\.tar\.gz
